# Swoole\Server::clearTimer

# swoole_timer_clear

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

Swoole\Server::clearTimer -- swoole_timer_clear — Stop and destory a timer.

### Description

Object oriented style (method):

public Swoole\Server::clearTimer ( integer `$timer_id` ) : void

Procedural style:

swoole_timer_clear ( integer `$timer_id` ) : void

Stop and destory a timer

### Parameters

`timer_id`

### Return Values